std::reference_wrapper< _Tp > Class Template Reference
Function Objects | Metaprogramming
Inheritance diagram for std::reference_wrapper< _Tp >:
[legend]

## Public Types

typedef _Tp | type

## Public Member Functions

| reference_wrapper (_Tp &__indata) noexcept
| reference_wrapper (_Tp &&)=delete
| reference_wrapper (const reference_wrapper< _Tp > &__inref) noexcept
_Tp & | get () const noexcept
| operator _Tp & () const noexcept
template<typename... _Args>
result_of< _Tp &(_Args &&...)> ::type | operator() (_Args &&...__args) const
reference_wrapper & | operator= (const reference_wrapper< _Tp > &__inref) noexcept

## Detailed Description

### template<typename _Tp>
class std::reference_wrapper< _Tp >

Primary class template for reference_wrapper.

Definition at line 431 of file functional.

The documentation for this class was generated from the following file:

- functional